<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.register</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        Module&nbsp;register
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="pyxmpp.jabber.register-module.html">Module pyxmpp.jabber.register</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno">  1</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L2"></a><tt class="py-lineno">  2</tt>  <tt class="py-line"><tt class="py-comment"># (C) Copyright 2005-2010 Jacek Konieczny &lt;jajcus@jajcus.net&gt;</tt> </tt>
<a name="L3"></a><tt class="py-lineno">  3</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L4"></a><tt class="py-lineno">  4</tt>  <tt class="py-line"><tt class="py-comment"># This program is free software; you can redistribute it and/or modify</tt> </tt>
<a name="L5"></a><tt class="py-lineno">  5</tt>  <tt class="py-line"><tt class="py-comment"># it under the terms of the GNU Lesser General Public License Version</tt> </tt>
<a name="L6"></a><tt class="py-lineno">  6</tt>  <tt class="py-line"><tt class="py-comment"># 2.1 as published by the Free Software Foundation.</tt> </tt>
<a name="L7"></a><tt class="py-lineno">  7</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L8"></a><tt class="py-lineno">  8</tt>  <tt class="py-line"><tt class="py-comment"># This program is distributed in the hope that it will be useful,</tt> </tt>
<a name="L9"></a><tt class="py-lineno">  9</tt>  <tt class="py-line"><tt class="py-comment"># but WITHOUT ANY WARRANTY; without even the implied warranty of</tt> </tt>
<a name="L10"></a><tt class="py-lineno"> 10</tt>  <tt class="py-line"><tt class="py-comment"># MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</tt> </tt>
<a name="L11"></a><tt class="py-lineno"> 11</tt>  <tt class="py-line"><tt class="py-comment"># GNU Lesser General Public License for more details.</tt> </tt>
<a name="L12"></a><tt class="py-lineno"> 12</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L13"></a><tt class="py-lineno"> 13</tt>  <tt class="py-line"><tt class="py-comment"># You should have received a copy of the GNU Lesser General Public</tt> </tt>
<a name="L14"></a><tt class="py-lineno"> 14</tt>  <tt class="py-line"><tt class="py-comment"># License along with this program; if not, write to the Free Software</tt> </tt>
<a name="L15"></a><tt class="py-lineno"> 15</tt>  <tt class="py-line"><tt class="py-comment"># Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</tt> </tt>
<a name="L16"></a><tt class="py-lineno"> 16</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L17"></a><tt class="py-lineno"> 17</tt>  <tt class="py-line"> </tt>
<a name="L18"></a><tt class="py-lineno"> 18</tt>  <tt class="py-line"><tt class="py-docstring">"""In-band registration (jabber:iq:register) handling.</tt> </tt>
<a name="L19"></a><tt class="py-lineno"> 19</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L20"></a><tt class="py-lineno"> 20</tt>  <tt class="py-line"><tt class="py-docstring">Normative reference:</tt> </tt>
<a name="L21"></a><tt class="py-lineno"> 21</tt>  <tt class="py-line"><tt class="py-docstring">  - `JEP 77 &lt;http://www.jabber.org/jeps/jep-0077.html&gt;`__</tt> </tt>
<a name="L22"></a><tt class="py-lineno"> 22</tt>  <tt class="py-line"><tt class="py-docstring">"""</tt> </tt>
<a name="L23"></a><tt class="py-lineno"> 23</tt>  <tt class="py-line"> </tt>
<a name="L24"></a><tt class="py-lineno"> 24</tt>  <tt class="py-line"><tt class="py-name">__docformat__</tt><tt class="py-op">=</tt><tt class="py-string">"restructuredtext en"</tt> </tt>
<a name="L25"></a><tt class="py-lineno"> 25</tt>  <tt class="py-line"> </tt>
<a name="L26"></a><tt class="py-lineno"> 26</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">libxml2</tt> </tt>
<a name="L27"></a><tt class="py-lineno"> 27</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">logging</tt> </tt>
<a name="L28"></a><tt class="py-lineno"> 28</tt>  <tt class="py-line"> </tt>
<a name="L29"></a><tt class="py-lineno"> 29</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-0" class="py-name" targets="Package pyxmpp=pyxmpp-module.html"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-0', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-1" class="py-name" targets="Module pyxmpp.utils=pyxmpp.utils-module.html"><a title="pyxmpp.utils" class="py-name" href="#" onclick="return doclink('link-1', 'utils', 'link-1');">utils</a></tt> <tt class="py-keyword">import</tt> <tt id="link-2" class="py-name" targets="Function pyxmpp.utils.to_utf8()=pyxmpp.utils-module.html#to_utf8"><a title="pyxmpp.utils.to_utf8" class="py-name" href="#" onclick="return doclink('link-2', 'to_utf8', 'link-2');">to_utf8</a></tt><tt class="py-op">,</tt><tt id="link-3" class="py-name" targets="Function pyxmpp.utils.from_utf8()=pyxmpp.utils-module.html#from_utf8"><a title="pyxmpp.utils.from_utf8" class="py-name" href="#" onclick="return doclink('link-3', 'from_utf8', 'link-3');">from_utf8</a></tt> </tt>
<a name="L30"></a><tt class="py-lineno"> 30</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-4" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-4', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-5" class="py-name" targets="Module pyxmpp.xmlextra=pyxmpp.xmlextra-module.html"><a title="pyxmpp.xmlextra" class="py-name" href="#" onclick="return doclink('link-5', 'xmlextra', 'link-5');">xmlextra</a></tt> <tt class="py-keyword">import</tt> <tt id="link-6" class="py-name" targets="Function pyxmpp.xmlextra.get_node_ns_uri()=pyxmpp.xmlextra-module.html#get_node_ns_uri"><a title="pyxmpp.xmlextra.get_node_ns_uri" class="py-name" href="#" onclick="return doclink('link-6', 'get_node_ns_uri', 'link-6');">get_node_ns_uri</a></tt> </tt>
<a name="L31"></a><tt class="py-lineno"> 31</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-7" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-7', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-8" class="py-name" targets="Module pyxmpp.objects=pyxmpp.objects-module.html"><a title="pyxmpp.objects" class="py-name" href="#" onclick="return doclink('link-8', 'objects', 'link-8');">objects</a></tt> <tt class="py-keyword">import</tt> <tt id="link-9" class="py-name" targets="Class pyxmpp.objects.StanzaPayloadObject=pyxmpp.objects.StanzaPayloadObject-class.html"><a title="pyxmpp.objects.StanzaPayloadObject" class="py-name" href="#" onclick="return doclink('link-9', 'StanzaPayloadObject', 'link-9');">StanzaPayloadObject</a></tt> </tt>
<a name="L32"></a><tt class="py-lineno"> 32</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-10" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-10', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-11" class="py-name"><a title="pyxmpp.xmlextra" class="py-name" href="#" onclick="return doclink('link-11', 'xmlextra', 'link-5');">xmlextra</a></tt> <tt class="py-keyword">import</tt> <tt id="link-12" class="py-name" targets="Function pyxmpp.xmlextra.xml_element_iter()=pyxmpp.xmlextra-module.html#xml_element_iter"><a title="pyxmpp.xmlextra.xml_element_iter" class="py-name" href="#" onclick="return doclink('link-12', 'xml_element_iter', 'link-12');">xml_element_iter</a></tt> </tt>
<a name="L33"></a><tt class="py-lineno"> 33</tt>  <tt class="py-line"> </tt>
<a name="L34"></a><tt class="py-lineno"> 34</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-13" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-13', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-14" class="py-name" targets="Package pyxmpp.jabber=pyxmpp.jabber-module.html"><a title="pyxmpp.jabber" class="py-name" href="#" onclick="return doclink('link-14', 'jabber', 'link-14');">jabber</a></tt><tt class="py-op">.</tt><tt id="link-15" class="py-name" targets="Module pyxmpp.jabber.dataforms=pyxmpp.jabber.dataforms-module.html"><a title="pyxmpp.jabber.dataforms" class="py-name" href="#" onclick="return doclink('link-15', 'dataforms', 'link-15');">dataforms</a></tt> <tt class="py-keyword">import</tt> <tt id="link-16" class="py-name" targets="Variable pyxmpp.jabber.dataforms.DATAFORM_NS=pyxmpp.jabber.dataforms-module.html#DATAFORM_NS"><a title="pyxmpp.jabber.dataforms.DATAFORM_NS" class="py-name" href="#" onclick="return doclink('link-16', 'DATAFORM_NS', 'link-16');">DATAFORM_NS</a></tt><tt class="py-op">,</tt> <tt id="link-17" class="py-name" targets="Class pyxmpp.jabber.dataforms.Form=pyxmpp.jabber.dataforms.Form-class.html"><a title="pyxmpp.jabber.dataforms.Form" class="py-name" href="#" onclick="return doclink('link-17', 'Form', 'link-17');">Form</a></tt> </tt>
<a name="L35"></a><tt class="py-lineno"> 35</tt>  <tt class="py-line"> </tt>
<a name="L36"></a><tt class="py-lineno"> 36</tt>  <tt class="py-line"><tt id="link-18" class="py-name" targets="Variable pyxmpp.jabber.register.REGISTER_NS=pyxmpp.jabber.register-module.html#REGISTER_NS"><a title="pyxmpp.jabber.register.REGISTER_NS" class="py-name" href="#" onclick="return doclink('link-18', 'REGISTER_NS', 'link-18');">REGISTER_NS</a></tt><tt class="py-op">=</tt><tt class="py-string">"jabber:iq:register"</tt> </tt>
<a name="L37"></a><tt class="py-lineno"> 37</tt>  <tt class="py-line"> </tt>
<a name="L38"></a><tt class="py-lineno"> 38</tt>  <tt class="py-line"><tt id="link-19" class="py-name" targets="Variable pyxmpp.jabber.register.legacy_fields=pyxmpp.jabber.register-module.html#legacy_fields"><a title="pyxmpp.jabber.register.legacy_fields" class="py-name" href="#" onclick="return doclink('link-19', 'legacy_fields', 'link-19');">legacy_fields</a></tt> <tt class="py-op">=</tt> <tt class="py-op">{</tt> </tt>
<a name="L39"></a><tt class="py-lineno"> 39</tt>  <tt class="py-line">        <tt class="py-string">"username"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Account name associated with the user"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L40"></a><tt class="py-lineno"> 40</tt>  <tt class="py-line">        <tt class="py-string">"nick"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Familiar name of the user"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L41"></a><tt class="py-lineno"> 41</tt>  <tt class="py-line">        <tt class="py-string">"password"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-private"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Password or secret for the user"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L42"></a><tt class="py-lineno"> 42</tt>  <tt class="py-line">        <tt class="py-string">"name"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Full name of the user"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L43"></a><tt class="py-lineno"> 43</tt>  <tt class="py-line">        <tt class="py-string">"first"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"First name or given name of the user"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L44"></a><tt class="py-lineno"> 44</tt>  <tt class="py-line">        <tt class="py-string">"last"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Last name, surname, or family name of the user"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L45"></a><tt class="py-lineno"> 45</tt>  <tt class="py-line">        <tt class="py-string">"email"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Email address of the user"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L46"></a><tt class="py-lineno"> 46</tt>  <tt class="py-line">        <tt class="py-string">"address"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Street portion of a physical or mailing address"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L47"></a><tt class="py-lineno"> 47</tt>  <tt class="py-line">        <tt class="py-string">"city"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Locality portion of a physical or mailing address"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L48"></a><tt class="py-lineno"> 48</tt>  <tt class="py-line">        <tt class="py-string">"state"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Region portion of a physical or mailing address"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L49"></a><tt class="py-lineno"> 49</tt>  <tt class="py-line">        <tt class="py-string">"zip"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Postal code portion of a physical or mailing address"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L50"></a><tt class="py-lineno"> 50</tt>  <tt class="py-line">        <tt class="py-string">"phone"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Telephone number of the user"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L51"></a><tt class="py-lineno"> 51</tt>  <tt class="py-line">        <tt class="py-string">"url"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"URL to web page describing the user"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L52"></a><tt class="py-lineno"> 52</tt>  <tt class="py-line">        <tt class="py-string">"date"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Some date (e.g., birth date, hire date, sign-up date)"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L53"></a><tt class="py-lineno"> 53</tt>  <tt class="py-line">        <tt class="py-string">"misc"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Free-form text field (obsolete)"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L54"></a><tt class="py-lineno"> 54</tt>  <tt class="py-line">        <tt class="py-string">"text"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Free-form text field (obsolete)"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L55"></a><tt class="py-lineno"> 55</tt>  <tt class="py-line">        <tt class="py-string">"key"</tt><tt class="py-op">:</tt> <tt class="py-op">(</tt><tt class="py-string">"text-single"</tt><tt class="py-op">,</tt> <tt class="py-string">u"Session key for transaction (obsolete)"</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> </tt>
<a name="L56"></a><tt class="py-lineno"> 56</tt>  <tt class="py-line">        <tt class="py-op">}</tt> </tt>
<a name="L57"></a><tt class="py-lineno"> 57</tt>  <tt class="py-line"> </tt>
<a name="Register"></a><div id="Register-def"><a name="L58"></a><tt class="py-lineno"> 58</tt> <a class="py-toggle" href="#" id="Register-toggle" onclick="return toggle('Register');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="pyxmpp.jabber.register.Register-class.html">Register</a><tt class="py-op">(</tt><tt class="py-base-class">StanzaPayloadObject</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Register-collapsed" style="display:none;" pad="+++" indent="++++"></div><div id="Register-expanded"><a name="L59"></a><tt class="py-lineno"> 59</tt>  <tt class="py-line">    <tt class="py-docstring">"""</tt> </tt>
<a name="L60"></a><tt class="py-lineno"> 60</tt>  <tt class="py-line"><tt class="py-docstring">    Delayed delivery tag.</tt> </tt>
<a name="L61"></a><tt class="py-lineno"> 61</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L62"></a><tt class="py-lineno"> 62</tt>  <tt class="py-line"><tt class="py-docstring">    Represents 'jabber:iq:register' (JEP-0077) element of a Jabber &lt;iq/&gt; stanza.</tt> </tt>
<a name="L63"></a><tt class="py-lineno"> 63</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L64"></a><tt class="py-lineno"> 64</tt>  <tt class="py-line"><tt class="py-docstring">    Please note that it is recommended to use `get_form` and `submit_form` records</tt> </tt>
<a name="L65"></a><tt class="py-lineno"> 65</tt>  <tt class="py-line"><tt class="py-docstring">    instead of accessing the `form` and legacy fields directly. This way both</tt> </tt>
<a name="L66"></a><tt class="py-lineno"> 66</tt>  <tt class="py-line"><tt class="py-docstring">    legacy and Data Forms registration would work transparently to the application.</tt> </tt>
<a name="L67"></a><tt class="py-lineno"> 67</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L68"></a><tt class="py-lineno"> 68</tt>  <tt class="py-line"><tt class="py-docstring">    :Ivariables:</tt> </tt>
<a name="L69"></a><tt class="py-lineno"> 69</tt>  <tt class="py-line"><tt class="py-docstring">        - `form`: registration form (when available)</tt> </tt>
<a name="L70"></a><tt class="py-lineno"> 70</tt>  <tt class="py-line"><tt class="py-docstring">        - `registered`: `True` if entity is already registered</tt> </tt>
<a name="L71"></a><tt class="py-lineno"> 71</tt>  <tt class="py-line"><tt class="py-docstring">        - `instrutions`: Registration instructions (legacy protocol)</tt> </tt>
<a name="L72"></a><tt class="py-lineno"> 72</tt>  <tt class="py-line"><tt class="py-docstring">        - `username`: Username field (legacy protocol)</tt> </tt>
<a name="L73"></a><tt class="py-lineno"> 73</tt>  <tt class="py-line"><tt class="py-docstring">        - `nick`: Nickname (legacy protocol)</tt> </tt>
<a name="L74"></a><tt class="py-lineno"> 74</tt>  <tt class="py-line"><tt class="py-docstring">        - `password`: Password (legacy protocol)</tt> </tt>
<a name="L75"></a><tt class="py-lineno"> 75</tt>  <tt class="py-line"><tt class="py-docstring">        - `name`: Name field (legacy protocol)</tt> </tt>
<a name="L76"></a><tt class="py-lineno"> 76</tt>  <tt class="py-line"><tt class="py-docstring">        - `first`: First name field (legacy protocol)</tt> </tt>
<a name="L77"></a><tt class="py-lineno"> 77</tt>  <tt class="py-line"><tt class="py-docstring">        - `last`: Last name field (legacy protocol)</tt> </tt>
<a name="L78"></a><tt class="py-lineno"> 78</tt>  <tt class="py-line"><tt class="py-docstring">        - `email`: E-mail field (legacy protocol)</tt> </tt>
<a name="L79"></a><tt class="py-lineno"> 79</tt>  <tt class="py-line"><tt class="py-docstring">        - `address`: Address field (legacy protocol)</tt> </tt>
<a name="L80"></a><tt class="py-lineno"> 80</tt>  <tt class="py-line"><tt class="py-docstring">        - `city`: City field (legacy protocol)</tt> </tt>
<a name="L81"></a><tt class="py-lineno"> 81</tt>  <tt class="py-line"><tt class="py-docstring">        - `state`: State field (legacy protocol)</tt> </tt>
<a name="L82"></a><tt class="py-lineno"> 82</tt>  <tt class="py-line"><tt class="py-docstring">        - `zip`: ZIP code field (legacy protocol)</tt> </tt>
<a name="L83"></a><tt class="py-lineno"> 83</tt>  <tt class="py-line"><tt class="py-docstring">        - `phone`: Phone field (legacy protocol)</tt> </tt>
<a name="L84"></a><tt class="py-lineno"> 84</tt>  <tt class="py-line"><tt class="py-docstring">        - `url`: URL field (legacy protocol)</tt> </tt>
<a name="L85"></a><tt class="py-lineno"> 85</tt>  <tt class="py-line"><tt class="py-docstring">        - `date`: Date field (legacy protocol)</tt> </tt>
<a name="L86"></a><tt class="py-lineno"> 86</tt>  <tt class="py-line"><tt class="py-docstring">        - `misc`: Misc field (legacy protocol, obsolete)</tt> </tt>
<a name="L87"></a><tt class="py-lineno"> 87</tt>  <tt class="py-line"><tt class="py-docstring">        - `text`: Text field (legacy protocol, obsolete)</tt> </tt>
<a name="L88"></a><tt class="py-lineno"> 88</tt>  <tt class="py-line"><tt class="py-docstring">        - `key`: Key field (legacy protocol, obsolete)</tt> </tt>
<a name="L89"></a><tt class="py-lineno"> 89</tt>  <tt class="py-line"><tt class="py-docstring">        - `remove`: `True` when the account should be removed</tt> </tt>
<a name="L90"></a><tt class="py-lineno"> 90</tt>  <tt class="py-line"><tt class="py-docstring">    :Types:</tt> </tt>
<a name="L91"></a><tt class="py-lineno"> 91</tt>  <tt class="py-line"><tt class="py-docstring">        - `form`: `pyxmpp.jabber.dataforms.Form`</tt> </tt>
<a name="L92"></a><tt class="py-lineno"> 92</tt>  <tt class="py-line"><tt class="py-docstring">        - `registered`: `bool`</tt> </tt>
<a name="L93"></a><tt class="py-lineno"> 93</tt>  <tt class="py-line"><tt class="py-docstring">        - `instrutions`: `unicode`</tt> </tt>
<a name="L94"></a><tt class="py-lineno"> 94</tt>  <tt class="py-line"><tt class="py-docstring">        - `username`: `unicode`</tt> </tt>
<a name="L95"></a><tt class="py-lineno"> 95</tt>  <tt class="py-line"><tt class="py-docstring">        - `nick`: `unicode`</tt> </tt>
<a name="L96"></a><tt class="py-lineno"> 96</tt>  <tt class="py-line"><tt class="py-docstring">        - `password`: `unicode`</tt> </tt>
<a name="L97"></a><tt class="py-lineno"> 97</tt>  <tt class="py-line"><tt class="py-docstring">        - `name`: `unicode`</tt> </tt>
<a name="L98"></a><tt class="py-lineno"> 98</tt>  <tt class="py-line"><tt class="py-docstring">        - `first`: `unicode`</tt> </tt>
<a name="L99"></a><tt class="py-lineno"> 99</tt>  <tt class="py-line"><tt class="py-docstring">        - `last`: `unicode`</tt> </tt>
<a name="L100"></a><tt class="py-lineno">100</tt>  <tt class="py-line"><tt class="py-docstring">        - `email`: `unicode`</tt> </tt>
<a name="L101"></a><tt class="py-lineno">101</tt>  <tt class="py-line"><tt class="py-docstring">        - `address`: `unicode`</tt> </tt>
<a name="L102"></a><tt class="py-lineno">102</tt>  <tt class="py-line"><tt class="py-docstring">        - `city`: `unicode`</tt> </tt>
<a name="L103"></a><tt class="py-lineno">103</tt>  <tt class="py-line"><tt class="py-docstring">        - `state`: `unicode`</tt> </tt>
<a name="L104"></a><tt class="py-lineno">104</tt>  <tt class="py-line"><tt class="py-docstring">        - `zip`: `unicode`</tt> </tt>
<a name="L105"></a><tt class="py-lineno">105</tt>  <tt class="py-line"><tt class="py-docstring">        - `phone`: `unicode`</tt> </tt>
<a name="L106"></a><tt class="py-lineno">106</tt>  <tt class="py-line"><tt class="py-docstring">        - `url`: `unicode`</tt> </tt>
<a name="L107"></a><tt class="py-lineno">107</tt>  <tt class="py-line"><tt class="py-docstring">        - `date`: `unicode`</tt> </tt>
<a name="L108"></a><tt class="py-lineno">108</tt>  <tt class="py-line"><tt class="py-docstring">        - `misc`: `unicode`</tt> </tt>
<a name="L109"></a><tt class="py-lineno">109</tt>  <tt class="py-line"><tt class="py-docstring">        - `text`: `unicode`</tt> </tt>
<a name="L110"></a><tt class="py-lineno">110</tt>  <tt class="py-line"><tt class="py-docstring">        - `key`: `unicode`</tt> </tt>
<a name="L111"></a><tt class="py-lineno">111</tt>  <tt class="py-line"><tt class="py-docstring">        - `remove`: `True` when the account should be removed</tt> </tt>
<a name="L112"></a><tt class="py-lineno">112</tt>  <tt class="py-line"><tt class="py-docstring">    """</tt> </tt>
<a name="L113"></a><tt class="py-lineno">113</tt>  <tt class="py-line"> </tt>
<a name="L114"></a><tt class="py-lineno">114</tt>  <tt class="py-line">    <tt id="link-20" class="py-name" targets="Variable pyxmpp.jabber.dataforms.Field.xml_element_name=pyxmpp.jabber.dataforms.Field-class.html#xml_element_name,Variable pyxmpp.jabber.dataforms.Form.xml_element_name=pyxmpp.jabber.dataforms.Form-class.html#xml_element_name,Variable pyxmpp.jabber.dataforms.Item.xml_element_name=pyxmpp.jabber.dataforms.Item-class.html#xml_element_name,Variable pyxmpp.jabber.dataforms.Option.xml_element_name=pyxmpp.jabber.dataforms.Option-class.html#xml_element_name,Variable pyxmpp.jabber.delay.Delay.xml_element_name=pyxmpp.jabber.delay.Delay-class.html#xml_element_name,Variable pyxmpp.jabber.register.Register.xml_element_name=pyxmpp.jabber.register.Register-class.html#xml_element_name,Variable pyxmpp.jabber.vcard.VCard.xml_element_name=pyxmpp.jabber.vcard.VCard-class.html#xml_element_name,Variable pyxmpp.objects.StanzaPayloadObject.xml_element_name=pyxmpp.objects.StanzaPayloadObject-class.html#xml_element_name,Variable pyxmpp.roster.Roster.xml_element_name=pyxmpp.roster.Roster-class.html#xml_element_name,Variable pyxmpp.roster.RosterItem.xml_element_name=pyxmpp.roster.RosterItem-class.html#xml_element_name"><a title="pyxmpp.jabber.dataforms.Field.xml_element_name
pyxmpp.jabber.dataforms.Form.xml_element_name
pyxmpp.jabber.dataforms.Item.xml_element_name
pyxmpp.jabber.dataforms.Option.xml_element_name
pyxmpp.jabber.delay.Delay.xml_element_name
pyxmpp.jabber.register.Register.xml_element_name
pyxmpp.jabber.vcard.VCard.xml_element_name
pyxmpp.objects.StanzaPayloadObject.xml_element_name
pyxmpp.roster.Roster.xml_element_name
pyxmpp.roster.RosterItem.xml_element_name" class="py-name" href="#" onclick="return doclink('link-20', 'xml_element_name', 'link-20');">xml_element_name</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"query"</tt> </tt>
<a name="L115"></a><tt class="py-lineno">115</tt>  <tt class="py-line">    <tt id="link-21" class="py-name" targets="Variable pyxmpp.jabber.dataforms.Field.xml_element_namespace=pyxmpp.jabber.dataforms.Field-class.html#xml_element_namespace,Variable pyxmpp.jabber.dataforms.Form.xml_element_namespace=pyxmpp.jabber.dataforms.Form-class.html#xml_element_namespace,Variable pyxmpp.jabber.dataforms.Item.xml_element_namespace=pyxmpp.jabber.dataforms.Item-class.html#xml_element_namespace,Variable pyxmpp.jabber.dataforms.Option.xml_element_namespace=pyxmpp.jabber.dataforms.Option-class.html#xml_element_namespace,Variable pyxmpp.jabber.delay.Delay.xml_element_namespace=pyxmpp.jabber.delay.Delay-class.html#xml_element_namespace,Variable pyxmpp.jabber.register.Register.xml_element_namespace=pyxmpp.jabber.register.Register-class.html#xml_element_namespace,Variable pyxmpp.jabber.vcard.VCard.xml_element_namespace=pyxmpp.jabber.vcard.VCard-class.html#xml_element_namespace,Variable pyxmpp.objects.StanzaPayloadObject.xml_element_namespace=pyxmpp.objects.StanzaPayloadObject-class.html#xml_element_namespace,Variable pyxmpp.roster.Roster.xml_element_namespace=pyxmpp.roster.Roster-class.html#xml_element_namespace,Variable pyxmpp.roster.RosterItem.xml_element_namespace=pyxmpp.roster.RosterItem-class.html#xml_element_namespace"><a title="pyxmpp.jabber.dataforms.Field.xml_element_namespace
pyxmpp.jabber.dataforms.Form.xml_element_namespace
pyxmpp.jabber.dataforms.Item.xml_element_namespace
pyxmpp.jabber.dataforms.Option.xml_element_namespace
pyxmpp.jabber.delay.Delay.xml_element_namespace
pyxmpp.jabber.register.Register.xml_element_namespace
pyxmpp.jabber.vcard.VCard.xml_element_namespace
pyxmpp.objects.StanzaPayloadObject.xml_element_namespace
pyxmpp.roster.Roster.xml_element_namespace
pyxmpp.roster.RosterItem.xml_element_namespace" class="py-name" href="#" onclick="return doclink('link-21', 'xml_element_namespace', 'link-21');">xml_element_namespace</a></tt> <tt class="py-op">=</tt> <tt id="link-22" class="py-name"><a title="pyxmpp.jabber.register.REGISTER_NS" class="py-name" href="#" onclick="return doclink('link-22', 'REGISTER_NS', 'link-18');">REGISTER_NS</a></tt> </tt>
<a name="L116"></a><tt class="py-lineno">116</tt>  <tt class="py-line"> </tt>
<a name="Register.__init__"></a><div id="Register.__init__-def"><a name="L117"></a><tt class="py-lineno">117</tt> <a class="py-toggle" href="#" id="Register.__init__-toggle" onclick="return toggle('Register.__init__');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.jabber.register.Register-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">xmlnode</tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Register.__init__-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="Register.__init__-expanded"><a name="L118"></a><tt class="py-lineno">118</tt>  <tt class="py-line">        <tt class="py-docstring">"""</tt> </tt>
<a name="L119"></a><tt class="py-lineno">119</tt>  <tt class="py-line"><tt class="py-docstring">        Initialize the `Register` object.</tt> </tt>
<a name="L120"></a><tt class="py-lineno">120</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L121"></a><tt class="py-lineno">121</tt>  <tt class="py-line"><tt class="py-docstring">        :Parameters:</tt> </tt>
<a name="L122"></a><tt class="py-lineno">122</tt>  <tt class="py-line"><tt class="py-docstring">            - `xmlnode`: an optional XML node to parse.</tt> </tt>
<a name="L123"></a><tt class="py-lineno">123</tt>  <tt class="py-line"><tt class="py-docstring">        :Types:</tt> </tt>
<a name="L124"></a><tt class="py-lineno">124</tt>  <tt class="py-line"><tt class="py-docstring">            - `xmlnode`: `libxml2.xmlNode`</tt> </tt>
<a name="L125"></a><tt class="py-lineno">125</tt>  <tt class="py-line"><tt class="py-docstring">        """</tt> </tt>
<a name="L126"></a><tt class="py-lineno">126</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">__logger</tt><tt class="py-op">=</tt><tt class="py-name">logging</tt><tt class="py-op">.</tt><tt class="py-name">getLogger</tt><tt class="py-op">(</tt><tt class="py-string">"pyxmpp.jabber.Register"</tt><tt class="py-op">)</tt> </tt>
<a name="L127"></a><tt class="py-lineno">127</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">form</tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L128"></a><tt class="py-lineno">128</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">registered</tt> <tt class="py-op">=</tt> <tt class="py-name">False</tt> </tt>
<a name="L129"></a><tt class="py-lineno">129</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">instructions</tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L130"></a><tt class="py-lineno">130</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-23" class="py-name" targets="Method pyxmpp.jabber.disco.DiscoIdentity.remove()=pyxmpp.jabber.disco.DiscoIdentity-class.html#remove,Method pyxmpp.jabber.disco.DiscoItem.remove()=pyxmpp.jabber.disco.DiscoItem-class.html#remove"><a title="pyxmpp.jabber.disco.DiscoIdentity.remove
pyxmpp.jabber.disco.DiscoItem.remove" class="py-name" href="#" onclick="return doclink('link-23', 'remove', 'link-23');">remove</a></tt> <tt class="py-op">=</tt> <tt class="py-name">False</tt> </tt>
<a name="L131"></a><tt class="py-lineno">131</tt>  <tt class="py-line">        <tt class="py-keyword">for</tt> <tt class="py-name">f</tt> <tt class="py-keyword">in</tt> <tt id="link-24" class="py-name"><a title="pyxmpp.jabber.register.legacy_fields" class="py-name" href="#" onclick="return doclink('link-24', 'legacy_fields', 'link-19');">legacy_fields</a></tt><tt class="py-op">:</tt> </tt>
<a name="L132"></a><tt class="py-lineno">132</tt>  <tt class="py-line">            <tt class="py-name">setattr</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt class="py-name">f</tt><tt class="py-op">,</tt> <tt class="py-name">None</tt><tt class="py-op">)</tt> </tt>
<a name="L133"></a><tt class="py-lineno">133</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">isinstance</tt><tt class="py-op">(</tt><tt class="py-name">xmlnode</tt><tt class="py-op">,</tt><tt class="py-name">libxml2</tt><tt class="py-op">.</tt><tt class="py-name">xmlNode</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L134"></a><tt class="py-lineno">134</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-25" class="py-name" targets="Method pyxmpp.error.ErrorNode.__from_xml()=pyxmpp.error.ErrorNode-class.html#__from_xml,Method pyxmpp.jabber.dataforms.Form.__from_xml()=pyxmpp.jabber.dataforms.Form-class.html#__from_xml,Method pyxmpp.jabber.register.Register.__from_xml()=pyxmpp.jabber.register.Register-class.html#__from_xml,Method pyxmpp.jabber.vcard.VCard.__from_xml()=pyxmpp.jabber.vcard.VCard-class.html#__from_xml,Method pyxmpp.jabber.vcard.VCardAdr.__from_xml()=pyxmpp.jabber.vcard.VCardAdr-class.html#__from_xml"><a title="pyxmpp.error.ErrorNode.__from_xml
pyxmpp.jabber.dataforms.Form.__from_xml
pyxmpp.jabber.register.Register.__from_xml
pyxmpp.jabber.vcard.VCard.__from_xml
pyxmpp.jabber.vcard.VCardAdr.__from_xml" class="py-name" href="#" onclick="return doclink('link-25', '__from_xml', 'link-25');">__from_xml</a></tt><tt class="py-op">(</tt><tt class="py-name">xmlnode</tt><tt class="py-op">)</tt> </tt>
</div><a name="L135"></a><tt class="py-lineno">135</tt>  <tt class="py-line"> </tt>
<a name="Register.__from_xml"></a><div id="Register.__from_xml-def"><a name="L136"></a><tt class="py-lineno">136</tt> <a class="py-toggle" href="#" id="Register.__from_xml-toggle" onclick="return toggle('Register.__from_xml');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.jabber.register.Register-class.html#__from_xml">__from_xml</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">xmlnode</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Register.__from_xml-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="Register.__from_xml-expanded"><a name="L137"></a><tt class="py-lineno">137</tt>  <tt class="py-line">        <tt class="py-docstring">"""Initialize `Register` from an XML node.</tt> </tt>
<a name="L138"></a><tt class="py-lineno">138</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L139"></a><tt class="py-lineno">139</tt>  <tt class="py-line"><tt class="py-docstring">        :Parameters:</tt> </tt>
<a name="L140"></a><tt class="py-lineno">140</tt>  <tt class="py-line"><tt class="py-docstring">            - `xmlnode`: the jabber:x:register XML element.</tt> </tt>
<a name="L141"></a><tt class="py-lineno">141</tt>  <tt class="py-line"><tt class="py-docstring">        :Types:</tt> </tt>
<a name="L142"></a><tt class="py-lineno">142</tt>  <tt class="py-line"><tt class="py-docstring">            - `xmlnode`: `libxml2.xmlNode`"""</tt> </tt>
<a name="L143"></a><tt class="py-lineno">143</tt>  <tt class="py-line"> </tt>
<a name="L144"></a><tt class="py-lineno">144</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">__logger</tt><tt class="py-op">.</tt><tt class="py-name">debug</tt><tt class="py-op">(</tt><tt class="py-string">"Converting jabber:iq:register element from XML"</tt><tt class="py-op">)</tt> </tt>
<a name="L145"></a><tt class="py-lineno">145</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">xmlnode</tt><tt class="py-op">.</tt><tt id="link-26" class="py-name" targets="Variable pyxmpp.jabber.disco.DiscoIdentity.type=pyxmpp.jabber.disco.DiscoIdentity-class.html#type"><a title="pyxmpp.jabber.disco.DiscoIdentity.type" class="py-name" href="#" onclick="return doclink('link-26', 'type', 'link-26');">type</a></tt><tt class="py-op">!=</tt><tt class="py-string">"element"</tt><tt class="py-op">:</tt> </tt>
<a name="L146"></a><tt class="py-lineno">146</tt>  <tt class="py-line">            <tt class="py-keyword">raise</tt> <tt class="py-name">ValueError</tt><tt class="py-op">,</tt><tt class="py-string">"XML node is not a jabber:iq:register element (not an element)"</tt> </tt>
<a name="L147"></a><tt class="py-lineno">147</tt>  <tt class="py-line">        <tt id="link-27" class="py-name" targets="Variable pyxmpp.jabber.muccore.MucAdminQuery.ns=pyxmpp.jabber.muccore.MucAdminQuery-class.html#ns,Variable pyxmpp.jabber.muccore.MucUserX.ns=pyxmpp.jabber.muccore.MucUserX-class.html#ns,Variable pyxmpp.jabber.muccore.MucX.ns=pyxmpp.jabber.muccore.MucX-class.html#ns,Variable pyxmpp.jabber.muccore.MucXBase.ns=pyxmpp.jabber.muccore.MucXBase-class.html#ns"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-27', 'ns', 'link-27');">ns</a></tt><tt class="py-op">=</tt><tt id="link-28" class="py-name"><a title="pyxmpp.xmlextra.get_node_ns_uri" class="py-name" href="#" onclick="return doclink('link-28', 'get_node_ns_uri', 'link-6');">get_node_ns_uri</a></tt><tt class="py-op">(</tt><tt class="py-name">xmlnode</tt><tt class="py-op">)</tt> </tt>
<a name="L148"></a><tt class="py-lineno">148</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt id="link-29" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-29', 'ns', 'link-27');">ns</a></tt> <tt class="py-keyword">and</tt> <tt id="link-30" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-30', 'ns', 'link-27');">ns</a></tt><tt class="py-op">!=</tt><tt id="link-31" class="py-name"><a title="pyxmpp.jabber.register.REGISTER_NS" class="py-name" href="#" onclick="return doclink('link-31', 'REGISTER_NS', 'link-18');">REGISTER_NS</a></tt> <tt class="py-keyword">or</tt> <tt class="py-name">xmlnode</tt><tt class="py-op">.</tt><tt id="link-32" class="py-name" targets="Variable pyxmpp.all.name=pyxmpp.all-module.html#name,Variable pyxmpp.interfaces.name=pyxmpp.interfaces-module.html#name,Variable pyxmpp.jabber.all.name=pyxmpp.jabber.all-module.html#name,Variable pyxmpp.jabber.disco.DiscoIdentity.name=pyxmpp.jabber.disco.DiscoIdentity-class.html#name,Variable pyxmpp.jabber.disco.DiscoItem.name=pyxmpp.jabber.disco.DiscoItem-class.html#name,Variable pyxmpp.jabberd.all.name=pyxmpp.jabberd.all-module.html#name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-32', 'name', 'link-32');">name</a></tt><tt class="py-op">!=</tt><tt class="py-string">"query"</tt><tt class="py-op">:</tt> </tt>
<a name="L149"></a><tt class="py-lineno">149</tt>  <tt class="py-line">            <tt class="py-keyword">raise</tt> <tt class="py-name">ValueError</tt><tt class="py-op">,</tt><tt class="py-string">"XML node is not a jabber:iq:register element"</tt> </tt>
<a name="L150"></a><tt class="py-lineno">150</tt>  <tt class="py-line"> </tt>
<a name="L151"></a><tt class="py-lineno">151</tt>  <tt class="py-line">        <tt class="py-keyword">for</tt> <tt id="link-33" class="py-name" targets="Variable pyxmpp.jabber.muccore.MucAdminQuery.element=pyxmpp.jabber.muccore.MucAdminQuery-class.html#element,Variable pyxmpp.jabber.muccore.MucXBase.element=pyxmpp.jabber.muccore.MucXBase-class.html#element"><a title="pyxmpp.jabber.muccore.MucAdminQuery.element
pyxmpp.jabber.muccore.MucXBase.element" class="py-name" href="#" onclick="return doclink('link-33', 'element', 'link-33');">element</a></tt> <tt class="py-keyword">in</tt> <tt id="link-34" class="py-name"><a title="pyxmpp.xmlextra.xml_element_iter" class="py-name" href="#" onclick="return doclink('link-34', 'xml_element_iter', 'link-12');">xml_element_iter</a></tt><tt class="py-op">(</tt><tt class="py-name">xmlnode</tt><tt class="py-op">.</tt><tt class="py-name">children</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L152"></a><tt class="py-lineno">152</tt>  <tt class="py-line">            <tt id="link-35" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-35', 'ns', 'link-27');">ns</a></tt> <tt class="py-op">=</tt> <tt id="link-36" class="py-name"><a title="pyxmpp.xmlextra.get_node_ns_uri" class="py-name" href="#" onclick="return doclink('link-36', 'get_node_ns_uri', 'link-6');">get_node_ns_uri</a></tt><tt class="py-op">(</tt><tt id="link-37" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.element
pyxmpp.jabber.muccore.MucXBase.element" class="py-name" href="#" onclick="return doclink('link-37', 'element', 'link-33');">element</a></tt><tt class="py-op">)</tt> </tt>
<a name="L153"></a><tt class="py-lineno">153</tt>  <tt class="py-line">            <tt class="py-keyword">if</tt> <tt id="link-38" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-38', 'ns', 'link-27');">ns</a></tt> <tt class="py-op">==</tt> <tt id="link-39" class="py-name"><a title="pyxmpp.jabber.dataforms.DATAFORM_NS" class="py-name" href="#" onclick="return doclink('link-39', 'DATAFORM_NS', 'link-16');">DATAFORM_NS</a></tt> <tt class="py-keyword">and</tt> <tt id="link-40" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.element
pyxmpp.jabber.muccore.MucXBase.element" class="py-name" href="#" onclick="return doclink('link-40', 'element', 'link-33');">element</a></tt><tt class="py-op">.</tt><tt id="link-41" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-41', 'name', 'link-32');">name</a></tt> <tt class="py-op">==</tt> <tt class="py-string">"x"</tt> <tt class="py-keyword">and</tt> <tt class="py-keyword">not</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">form</tt><tt class="py-op">:</tt> </tt>
<a name="L154"></a><tt class="py-lineno">154</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">form</tt> <tt class="py-op">=</tt> <tt id="link-42" class="py-name"><a title="pyxmpp.jabber.dataforms.Form" class="py-name" href="#" onclick="return doclink('link-42', 'Form', 'link-17');">Form</a></tt><tt class="py-op">(</tt><tt id="link-43" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.element
pyxmpp.jabber.muccore.MucXBase.element" class="py-name" href="#" onclick="return doclink('link-43', 'element', 'link-33');">element</a></tt><tt class="py-op">)</tt> </tt>
<a name="L155"></a><tt class="py-lineno">155</tt>  <tt class="py-line">            <tt class="py-keyword">elif</tt> <tt id="link-44" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-44', 'ns', 'link-27');">ns</a></tt> <tt class="py-op">!=</tt> <tt id="link-45" class="py-name"><a title="pyxmpp.jabber.register.REGISTER_NS" class="py-name" href="#" onclick="return doclink('link-45', 'REGISTER_NS', 'link-18');">REGISTER_NS</a></tt><tt class="py-op">:</tt> </tt>
<a name="L156"></a><tt class="py-lineno">156</tt>  <tt class="py-line">                <tt class="py-keyword">continue</tt> </tt>
<a name="L157"></a><tt class="py-lineno">157</tt>  <tt class="py-line">            <tt id="link-46" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-46', 'name', 'link-32');">name</a></tt> <tt class="py-op">=</tt> <tt id="link-47" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.element
pyxmpp.jabber.muccore.MucXBase.element" class="py-name" href="#" onclick="return doclink('link-47', 'element', 'link-33');">element</a></tt><tt class="py-op">.</tt><tt id="link-48" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-48', 'name', 'link-32');">name</a></tt> </tt>
<a name="L158"></a><tt class="py-lineno">158</tt>  <tt class="py-line">            <tt class="py-keyword">if</tt> <tt id="link-49" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-49', 'name', 'link-32');">name</a></tt> <tt class="py-op">==</tt> <tt class="py-string">"instructions"</tt> <tt class="py-keyword">and</tt> <tt class="py-keyword">not</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">instructions</tt><tt class="py-op">:</tt> </tt>
<a name="L159"></a><tt class="py-lineno">159</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">instructions</tt> <tt class="py-op">=</tt> <tt id="link-50" class="py-name"><a title="pyxmpp.utils.from_utf8" class="py-name" href="#" onclick="return doclink('link-50', 'from_utf8', 'link-3');">from_utf8</a></tt><tt class="py-op">(</tt><tt id="link-51" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.element
pyxmpp.jabber.muccore.MucXBase.element" class="py-name" href="#" onclick="return doclink('link-51', 'element', 'link-33');">element</a></tt><tt class="py-op">.</tt><tt class="py-name">getContent</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L160"></a><tt class="py-lineno">160</tt>  <tt class="py-line">            <tt class="py-keyword">elif</tt> <tt id="link-52" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-52', 'name', 'link-32');">name</a></tt> <tt class="py-op">==</tt> <tt class="py-string">"registered"</tt><tt class="py-op">:</tt> </tt>
<a name="L161"></a><tt class="py-lineno">161</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">registered</tt> <tt class="py-op">=</tt> <tt class="py-name">True</tt> </tt>
<a name="L162"></a><tt class="py-lineno">162</tt>  <tt class="py-line">            <tt class="py-keyword">elif</tt> <tt id="link-53" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-53', 'name', 'link-32');">name</a></tt> <tt class="py-op">==</tt> <tt class="py-string">"remove"</tt><tt class="py-op">:</tt> </tt>
<a name="L163"></a><tt class="py-lineno">163</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-54" class="py-name"><a title="pyxmpp.jabber.disco.DiscoIdentity.remove
pyxmpp.jabber.disco.DiscoItem.remove" class="py-name" href="#" onclick="return doclink('link-54', 'remove', 'link-23');">remove</a></tt> <tt class="py-op">=</tt> <tt class="py-name">True</tt> </tt>
<a name="L164"></a><tt class="py-lineno">164</tt>  <tt class="py-line">            <tt class="py-keyword">elif</tt> <tt id="link-55" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-55', 'name', 'link-32');">name</a></tt> <tt class="py-keyword">in</tt> <tt id="link-56" class="py-name"><a title="pyxmpp.jabber.register.legacy_fields" class="py-name" href="#" onclick="return doclink('link-56', 'legacy_fields', 'link-19');">legacy_fields</a></tt> <tt class="py-keyword">and</tt> <tt class="py-keyword">not</tt> <tt class="py-name">getattr</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt id="link-57" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-57', 'name', 'link-32');">name</a></tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L165"></a><tt class="py-lineno">165</tt>  <tt class="py-line">                <tt id="link-58" class="py-name" targets="Variable pyxmpp.cache.CacheItem.value=pyxmpp.cache.CacheItem-class.html#value"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-58', 'value', 'link-58');">value</a></tt> <tt class="py-op">=</tt> <tt id="link-59" class="py-name"><a title="pyxmpp.utils.from_utf8" class="py-name" href="#" onclick="return doclink('link-59', 'from_utf8', 'link-3');">from_utf8</a></tt><tt class="py-op">(</tt><tt id="link-60" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.element
pyxmpp.jabber.muccore.MucXBase.element" class="py-name" href="#" onclick="return doclink('link-60', 'element', 'link-33');">element</a></tt><tt class="py-op">.</tt><tt class="py-name">getContent</tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L166"></a><tt class="py-lineno">166</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt id="link-61" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-61', 'value', 'link-58');">value</a></tt> <tt class="py-keyword">is</tt> <tt class="py-name">None</tt><tt class="py-op">:</tt> </tt>
<a name="L167"></a><tt class="py-lineno">167</tt>  <tt class="py-line">                    <tt id="link-62" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-62', 'value', 'link-58');">value</a></tt> <tt class="py-op">=</tt> <tt class="py-string">u""</tt> </tt>
<a name="L168"></a><tt class="py-lineno">168</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">__logger</tt><tt class="py-op">.</tt><tt class="py-name">debug</tt><tt class="py-op">(</tt><tt class="py-string">u"Setting legacy field %r to %r"</tt> <tt class="py-op">%</tt> <tt class="py-op">(</tt><tt id="link-63" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-63', 'name', 'link-32');">name</a></tt><tt class="py-op">,</tt> <tt id="link-64" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-64', 'value', 'link-58');">value</a></tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L169"></a><tt class="py-lineno">169</tt>  <tt class="py-line">                <tt class="py-name">setattr</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt id="link-65" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-65', 'name', 'link-32');">name</a></tt><tt class="py-op">,</tt> <tt id="link-66" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-66', 'value', 'link-58');">value</a></tt><tt class="py-op">)</tt> </tt>
</div><a name="L170"></a><tt class="py-lineno">170</tt>  <tt class="py-line"> </tt>
<a name="Register.complete_xml_element"></a><div id="Register.complete_xml_element-def"><a name="L171"></a><tt class="py-lineno">171</tt> <a class="py-toggle" href="#" id="Register.complete_xml_element-toggle" onclick="return toggle('Register.complete_xml_element');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.jabber.register.Register-class.html#complete_xml_element">complete_xml_element</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">xmlnode</tt><tt class="py-op">,</tt> <tt class="py-param">doc</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Register.complete_xml_element-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="Register.complete_xml_element-expanded"><a name="L172"></a><tt class="py-lineno">172</tt>  <tt class="py-line">        <tt class="py-docstring">"""Complete the XML node with `self` content.</tt> </tt>
<a name="L173"></a><tt class="py-lineno">173</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L174"></a><tt class="py-lineno">174</tt>  <tt class="py-line"><tt class="py-docstring">        :Parameters:</tt> </tt>
<a name="L175"></a><tt class="py-lineno">175</tt>  <tt class="py-line"><tt class="py-docstring">            - `xmlnode`: XML node with the element being built. It has already</tt> </tt>
<a name="L176"></a><tt class="py-lineno">176</tt>  <tt class="py-line"><tt class="py-docstring">              right name and namespace, but no attributes or content.</tt> </tt>
<a name="L177"></a><tt class="py-lineno">177</tt>  <tt class="py-line"><tt class="py-docstring">            - `doc`: document to which the element belongs.</tt> </tt>
<a name="L178"></a><tt class="py-lineno">178</tt>  <tt class="py-line"><tt class="py-docstring">        :Types:</tt> </tt>
<a name="L179"></a><tt class="py-lineno">179</tt>  <tt class="py-line"><tt class="py-docstring">            - `xmlnode`: `libxml2.xmlNode`</tt> </tt>
<a name="L180"></a><tt class="py-lineno">180</tt>  <tt class="py-line"><tt class="py-docstring">            - `doc`: `libxml2.xmlDoc`"""</tt> </tt>
<a name="L181"></a><tt class="py-lineno">181</tt>  <tt class="py-line">        <tt id="link-67" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-67', 'ns', 'link-27');">ns</a></tt> <tt class="py-op">=</tt> <tt class="py-name">xmlnode</tt><tt class="py-op">.</tt><tt id="link-68" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-68', 'ns', 'link-27');">ns</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L182"></a><tt class="py-lineno">182</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">instructions</tt> <tt class="py-keyword">is</tt> <tt class="py-keyword">not</tt> <tt class="py-name">None</tt><tt class="py-op">:</tt> </tt>
<a name="L183"></a><tt class="py-lineno">183</tt>  <tt class="py-line">            <tt class="py-name">xmlnode</tt><tt class="py-op">.</tt><tt class="py-name">newTextChild</tt><tt class="py-op">(</tt><tt id="link-69" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-69', 'ns', 'link-27');">ns</a></tt><tt class="py-op">,</tt> <tt class="py-string">"instructions"</tt><tt class="py-op">,</tt> <tt id="link-70" class="py-name"><a title="pyxmpp.utils.to_utf8" class="py-name" href="#" onclick="return doclink('link-70', 'to_utf8', 'link-2');">to_utf8</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">instructions</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L184"></a><tt class="py-lineno">184</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">form</tt><tt class="py-op">:</tt> </tt>
<a name="L185"></a><tt class="py-lineno">185</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">form</tt><tt class="py-op">.</tt><tt id="link-71" class="py-name" targets="Method pyxmpp.jabber.muccore.MucItem.as_xml()=pyxmpp.jabber.muccore.MucItem-class.html#as_xml,Method pyxmpp.jabber.muccore.MucStatus.as_xml()=pyxmpp.jabber.muccore.MucStatus-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardAdr.as_xml()=pyxmpp.jabber.vcard.VCardAdr-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardCategories.as_xml()=pyxmpp.jabber.vcard.VCardCategories-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardEmail.as_xml()=pyxmpp.jabber.vcard.VCardEmail-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardGeo.as_xml()=pyxmpp.jabber.vcard.VCardGeo-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardImage.as_xml()=pyxmpp.jabber.vcard.VCardImage-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardJID.as_xml()=pyxmpp.jabber.vcard.VCardJID-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardKey.as_xml()=pyxmpp.jabber.vcard.VCardKey-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardLabel.as_xml()=pyxmpp.jabber.vcard.VCardLabel-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardName.as_xml()=pyxmpp.jabber.vcard.VCardName-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardOrg.as_xml()=pyxmpp.jabber.vcard.VCardOrg-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardPrivacy.as_xml()=pyxmpp.jabber.vcard.VCardPrivacy-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardSound.as_xml()=pyxmpp.jabber.vcard.VCardSound-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardString.as_xml()=pyxmpp.jabber.vcard.VCardString-class.html#as_xml,Method pyxmpp.jabber.vcard.VCardTel.as_xml()=pyxmpp.jabber.vcard.VCardTel-class.html#as_xml,Method pyxmpp.objects.StanzaPayloadObject.as_xml()=pyxmpp.objects.StanzaPayloadObject-class.html#as_xml,Method pyxmpp.objects.StanzaPayloadWrapperObject.as_xml()=pyxmpp.objects.StanzaPayloadWrapperObject-class.html#as_xml"><a title="pyxmpp.jabber.muccore.MucItem.as_xml
pyxmpp.jabber.muccore.MucStatus.as_xml
pyxmpp.jabber.vcard.VCardAdr.as_xml
pyxmpp.jabber.vcard.VCardCategories.as_xml
pyxmpp.jabber.vcard.VCardEmail.as_xml
pyxmpp.jabber.vcard.VCardGeo.as_xml
pyxmpp.jabber.vcard.VCardImage.as_xml
pyxmpp.jabber.vcard.VCardJID.as_xml
pyxmpp.jabber.vcard.VCardKey.as_xml
pyxmpp.jabber.vcard.VCardLabel.as_xml
pyxmpp.jabber.vcard.VCardName.as_xml
pyxmpp.jabber.vcard.VCardOrg.as_xml
pyxmpp.jabber.vcard.VCardPrivacy.as_xml
pyxmpp.jabber.vcard.VCardSound.as_xml
pyxmpp.jabber.vcard.VCardString.as_xml
pyxmpp.jabber.vcard.VCardTel.as_xml
pyxmpp.objects.StanzaPayloadObject.as_xml
pyxmpp.objects.StanzaPayloadWrapperObject.as_xml" class="py-name" href="#" onclick="return doclink('link-71', 'as_xml', 'link-71');">as_xml</a></tt><tt class="py-op">(</tt><tt class="py-name">xmlnode</tt><tt class="py-op">,</tt> <tt id="link-72" class="py-name" targets="Method pyxmpp.xmlextra.StreamReader.doc()=pyxmpp.xmlextra.StreamReader-class.html#doc"><a title="pyxmpp.xmlextra.StreamReader.doc" class="py-name" href="#" onclick="return doclink('link-72', 'doc', 'link-72');">doc</a></tt><tt class="py-op">)</tt> </tt>
<a name="L186"></a><tt class="py-lineno">186</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-73" class="py-name"><a title="pyxmpp.jabber.disco.DiscoIdentity.remove
pyxmpp.jabber.disco.DiscoItem.remove" class="py-name" href="#" onclick="return doclink('link-73', 'remove', 'link-23');">remove</a></tt><tt class="py-op">:</tt> </tt>
<a name="L187"></a><tt class="py-lineno">187</tt>  <tt class="py-line">            <tt class="py-name">xmlnode</tt><tt class="py-op">.</tt><tt class="py-name">newChild</tt><tt class="py-op">(</tt><tt id="link-74" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-74', 'ns', 'link-27');">ns</a></tt><tt class="py-op">,</tt> <tt class="py-string">"remove"</tt><tt class="py-op">,</tt> <tt class="py-name">None</tt><tt class="py-op">)</tt> </tt>
<a name="L188"></a><tt class="py-lineno">188</tt>  <tt class="py-line">        <tt class="py-keyword">else</tt><tt class="py-op">:</tt> </tt>
<a name="L189"></a><tt class="py-lineno">189</tt>  <tt class="py-line">            <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">registered</tt><tt class="py-op">:</tt> </tt>
<a name="L190"></a><tt class="py-lineno">190</tt>  <tt class="py-line">                <tt class="py-name">xmlnode</tt><tt class="py-op">.</tt><tt class="py-name">newChild</tt><tt class="py-op">(</tt><tt id="link-75" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-75', 'ns', 'link-27');">ns</a></tt><tt class="py-op">,</tt> <tt class="py-string">"registered"</tt><tt class="py-op">,</tt> <tt class="py-name">None</tt><tt class="py-op">)</tt> </tt>
<a name="L191"></a><tt class="py-lineno">191</tt>  <tt class="py-line">            <tt class="py-keyword">for</tt> <tt class="py-name">field</tt> <tt class="py-keyword">in</tt> <tt id="link-76" class="py-name"><a title="pyxmpp.jabber.register.legacy_fields" class="py-name" href="#" onclick="return doclink('link-76', 'legacy_fields', 'link-19');">legacy_fields</a></tt><tt class="py-op">:</tt> </tt>
<a name="L192"></a><tt class="py-lineno">192</tt>  <tt class="py-line">                <tt id="link-77" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-77', 'value', 'link-58');">value</a></tt> <tt class="py-op">=</tt> <tt class="py-name">getattr</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt class="py-name">field</tt><tt class="py-op">)</tt> </tt>
<a name="L193"></a><tt class="py-lineno">193</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt id="link-78" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-78', 'value', 'link-58');">value</a></tt> <tt class="py-keyword">is</tt> <tt class="py-keyword">not</tt> <tt class="py-name">None</tt><tt class="py-op">:</tt> </tt>
<a name="L194"></a><tt class="py-lineno">194</tt>  <tt class="py-line">                    <tt class="py-name">xmlnode</tt><tt class="py-op">.</tt><tt class="py-name">newTextChild</tt><tt class="py-op">(</tt><tt id="link-79" class="py-name"><a title="pyxmpp.jabber.muccore.MucAdminQuery.ns
pyxmpp.jabber.muccore.MucUserX.ns
pyxmpp.jabber.muccore.MucX.ns
pyxmpp.jabber.muccore.MucXBase.ns" class="py-name" href="#" onclick="return doclink('link-79', 'ns', 'link-27');">ns</a></tt><tt class="py-op">,</tt> <tt class="py-name">field</tt><tt class="py-op">,</tt> <tt id="link-80" class="py-name"><a title="pyxmpp.utils.to_utf8" class="py-name" href="#" onclick="return doclink('link-80', 'to_utf8', 'link-2');">to_utf8</a></tt><tt class="py-op">(</tt><tt id="link-81" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-81', 'value', 'link-58');">value</a></tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
</div><a name="L195"></a><tt class="py-lineno">195</tt>  <tt class="py-line"> </tt>
<a name="Register.get_form"></a><div id="Register.get_form-def"><a name="L196"></a><tt class="py-lineno">196</tt> <a class="py-toggle" href="#" id="Register.get_form-toggle" onclick="return toggle('Register.get_form');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.jabber.register.Register-class.html#get_form">get_form</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">form_type</tt> <tt class="py-op">=</tt> <tt class="py-string">"form"</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Register.get_form-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="Register.get_form-expanded"><a name="L197"></a><tt class="py-lineno">197</tt>  <tt class="py-line">        <tt class="py-docstring">"""Return Data Form for the `Register` object.</tt> </tt>
<a name="L198"></a><tt class="py-lineno">198</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L199"></a><tt class="py-lineno">199</tt>  <tt class="py-line"><tt class="py-docstring">        Convert legacy fields to a data form if `self.form` is `None`, return `self.form` otherwise.</tt> </tt>
<a name="L200"></a><tt class="py-lineno">200</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L201"></a><tt class="py-lineno">201</tt>  <tt class="py-line"><tt class="py-docstring">        :Parameters:</tt> </tt>
<a name="L202"></a><tt class="py-lineno">202</tt>  <tt class="py-line"><tt class="py-docstring">            - `form_type`: If "form", then a form to fill-in should be</tt> </tt>
<a name="L203"></a><tt class="py-lineno">203</tt>  <tt class="py-line"><tt class="py-docstring">              returned. If "sumbit", then a form with submitted data.</tt> </tt>
<a name="L204"></a><tt class="py-lineno">204</tt>  <tt class="py-line"><tt class="py-docstring">        :Types:</tt> </tt>
<a name="L205"></a><tt class="py-lineno">205</tt>  <tt class="py-line"><tt class="py-docstring">            - `form_type`: `unicode`</tt> </tt>
<a name="L206"></a><tt class="py-lineno">206</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L207"></a><tt class="py-lineno">207</tt>  <tt class="py-line"><tt class="py-docstring">        :return: `self.form` or a form created from the legacy fields</tt> </tt>
<a name="L208"></a><tt class="py-lineno">208</tt>  <tt class="py-line"><tt class="py-docstring">        :returntype: `pyxmpp.jabber.dataforms.Form`"""</tt> </tt>
<a name="L209"></a><tt class="py-lineno">209</tt>  <tt class="py-line"> </tt>
<a name="L210"></a><tt class="py-lineno">210</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">form</tt><tt class="py-op">:</tt> </tt>
<a name="L211"></a><tt class="py-lineno">211</tt>  <tt class="py-line">            <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">form</tt><tt class="py-op">.</tt><tt id="link-82" class="py-name"><a title="pyxmpp.jabber.disco.DiscoIdentity.type" class="py-name" href="#" onclick="return doclink('link-82', 'type', 'link-26');">type</a></tt> <tt class="py-op">!=</tt> <tt class="py-name">form_type</tt><tt class="py-op">:</tt> </tt>
<a name="L212"></a><tt class="py-lineno">212</tt>  <tt class="py-line">                <tt class="py-keyword">raise</tt> <tt class="py-name">ValueError</tt><tt class="py-op">,</tt> <tt class="py-string">"Bad form type in the jabber:iq:register element"</tt> </tt>
<a name="L213"></a><tt class="py-lineno">213</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">form</tt> </tt>
<a name="L214"></a><tt class="py-lineno">214</tt>  <tt class="py-line"> </tt>
<a name="L215"></a><tt class="py-lineno">215</tt>  <tt class="py-line">        <tt class="py-name">form</tt> <tt class="py-op">=</tt> <tt id="link-83" class="py-name"><a title="pyxmpp.jabber.dataforms.Form" class="py-name" href="#" onclick="return doclink('link-83', 'Form', 'link-17');">Form</a></tt><tt class="py-op">(</tt><tt class="py-name">form_type</tt><tt class="py-op">,</tt> <tt class="py-name">instructions</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">instructions</tt><tt class="py-op">)</tt> </tt>
<a name="L216"></a><tt class="py-lineno">216</tt>  <tt class="py-line">        <tt class="py-name">form</tt><tt class="py-op">.</tt><tt id="link-84" class="py-name" targets="Method pyxmpp.jabber.dataforms.Form.add_field()=pyxmpp.jabber.dataforms.Form-class.html#add_field,Method pyxmpp.jabber.dataforms.Item.add_field()=pyxmpp.jabber.dataforms.Item-class.html#add_field"><a title="pyxmpp.jabber.dataforms.Form.add_field
pyxmpp.jabber.dataforms.Item.add_field" class="py-name" href="#" onclick="return doclink('link-84', 'add_field', 'link-84');">add_field</a></tt><tt class="py-op">(</tt><tt class="py-string">"FORM_TYPE"</tt><tt class="py-op">,</tt> <tt class="py-op">[</tt><tt class="py-string">u"jabber:iq:register"</tt><tt class="py-op">]</tt><tt class="py-op">,</tt> <tt class="py-string">"hidden"</tt><tt class="py-op">)</tt> </tt>
<a name="L217"></a><tt class="py-lineno">217</tt>  <tt class="py-line">        <tt class="py-keyword">for</tt> <tt class="py-name">field</tt> <tt class="py-keyword">in</tt> <tt id="link-85" class="py-name"><a title="pyxmpp.jabber.register.legacy_fields" class="py-name" href="#" onclick="return doclink('link-85', 'legacy_fields', 'link-19');">legacy_fields</a></tt><tt class="py-op">:</tt> </tt>
<a name="L218"></a><tt class="py-lineno">218</tt>  <tt class="py-line">            <tt class="py-name">field_type</tt><tt class="py-op">,</tt> <tt class="py-name">field_label</tt> <tt class="py-op">=</tt> <tt id="link-86" class="py-name"><a title="pyxmpp.jabber.register.legacy_fields" class="py-name" href="#" onclick="return doclink('link-86', 'legacy_fields', 'link-19');">legacy_fields</a></tt><tt class="py-op">[</tt><tt class="py-name">field</tt><tt class="py-op">]</tt> </tt>
<a name="L219"></a><tt class="py-lineno">219</tt>  <tt class="py-line">            <tt id="link-87" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-87', 'value', 'link-58');">value</a></tt> <tt class="py-op">=</tt> <tt class="py-name">getattr</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt class="py-name">field</tt><tt class="py-op">)</tt> </tt>
<a name="L220"></a><tt class="py-lineno">220</tt>  <tt class="py-line">            <tt class="py-keyword">if</tt> <tt id="link-88" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-88', 'value', 'link-58');">value</a></tt> <tt class="py-keyword">is</tt> <tt class="py-name">None</tt><tt class="py-op">:</tt> </tt>
<a name="L221"></a><tt class="py-lineno">221</tt>  <tt class="py-line">                <tt class="py-keyword">continue</tt> </tt>
<a name="L222"></a><tt class="py-lineno">222</tt>  <tt class="py-line">            <tt class="py-keyword">if</tt> <tt class="py-name">form_type</tt> <tt class="py-op">==</tt> <tt class="py-string">"form"</tt><tt class="py-op">:</tt> </tt>
<a name="L223"></a><tt class="py-lineno">223</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt id="link-89" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-89', 'value', 'link-58');">value</a></tt><tt class="py-op">:</tt> </tt>
<a name="L224"></a><tt class="py-lineno">224</tt>  <tt class="py-line">                    <tt id="link-90" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-90', 'value', 'link-58');">value</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L225"></a><tt class="py-lineno">225</tt>  <tt class="py-line">                <tt class="py-name">form</tt><tt class="py-op">.</tt><tt id="link-91" class="py-name"><a title="pyxmpp.jabber.dataforms.Form.add_field
pyxmpp.jabber.dataforms.Item.add_field" class="py-name" href="#" onclick="return doclink('link-91', 'add_field', 'link-84');">add_field</a></tt><tt class="py-op">(</tt><tt id="link-92" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-92', 'name', 'link-32');">name</a></tt> <tt class="py-op">=</tt> <tt class="py-name">field</tt><tt class="py-op">,</tt> <tt class="py-name">field_type</tt> <tt class="py-op">=</tt> <tt class="py-name">field_type</tt><tt class="py-op">,</tt> <tt class="py-name">label</tt> <tt class="py-op">=</tt> <tt class="py-name">field_label</tt><tt class="py-op">,</tt> </tt>
<a name="L226"></a><tt class="py-lineno">226</tt>  <tt class="py-line">                        <tt id="link-93" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-93', 'value', 'link-58');">value</a></tt> <tt class="py-op">=</tt> <tt id="link-94" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-94', 'value', 'link-58');">value</a></tt><tt class="py-op">,</tt> <tt class="py-name">required</tt> <tt class="py-op">=</tt> <tt class="py-name">True</tt><tt class="py-op">)</tt> </tt>
<a name="L227"></a><tt class="py-lineno">227</tt>  <tt class="py-line">            <tt class="py-keyword">else</tt><tt class="py-op">:</tt> </tt>
<a name="L228"></a><tt class="py-lineno">228</tt>  <tt class="py-line">                <tt class="py-name">form</tt><tt class="py-op">.</tt><tt id="link-95" class="py-name"><a title="pyxmpp.jabber.dataforms.Form.add_field
pyxmpp.jabber.dataforms.Item.add_field" class="py-name" href="#" onclick="return doclink('link-95', 'add_field', 'link-84');">add_field</a></tt><tt class="py-op">(</tt><tt id="link-96" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-96', 'name', 'link-32');">name</a></tt> <tt class="py-op">=</tt> <tt class="py-name">field</tt><tt class="py-op">,</tt> <tt id="link-97" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-97', 'value', 'link-58');">value</a></tt> <tt class="py-op">=</tt> <tt id="link-98" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-98', 'value', 'link-58');">value</a></tt><tt class="py-op">)</tt> </tt>
<a name="L229"></a><tt class="py-lineno">229</tt>  <tt class="py-line">        <tt class="py-keyword">return</tt> <tt class="py-name">form</tt> </tt>
</div><a name="L230"></a><tt class="py-lineno">230</tt>  <tt class="py-line"> </tt>
<a name="Register.submit_form"></a><div id="Register.submit_form-def"><a name="L231"></a><tt class="py-lineno">231</tt> <a class="py-toggle" href="#" id="Register.submit_form-toggle" onclick="return toggle('Register.submit_form');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.jabber.register.Register-class.html#submit_form">submit_form</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">form</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Register.submit_form-collapsed" style="display:none;" pad="+++" indent="++++++++"></div><div id="Register.submit_form-expanded"><a name="L232"></a><tt class="py-lineno">232</tt>  <tt class="py-line">        <tt class="py-docstring">"""Make `Register` object for submitting the registration form.</tt> </tt>
<a name="L233"></a><tt class="py-lineno">233</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L234"></a><tt class="py-lineno">234</tt>  <tt class="py-line"><tt class="py-docstring">        Convert form data to legacy fields if `self.form` is `None`.</tt> </tt>
<a name="L235"></a><tt class="py-lineno">235</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L236"></a><tt class="py-lineno">236</tt>  <tt class="py-line"><tt class="py-docstring">        :Parameters:</tt> </tt>
<a name="L237"></a><tt class="py-lineno">237</tt>  <tt class="py-line"><tt class="py-docstring">            - `form`: The form to submit. Its type doesn't have to be "submit"</tt> </tt>
<a name="L238"></a><tt class="py-lineno">238</tt>  <tt class="py-line"><tt class="py-docstring">              (a "submit" form will be created here), so it could be the form</tt> </tt>
<a name="L239"></a><tt class="py-lineno">239</tt>  <tt class="py-line"><tt class="py-docstring">              obtained from `get_form` just with the data entered.</tt> </tt>
<a name="L240"></a><tt class="py-lineno">240</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L241"></a><tt class="py-lineno">241</tt>  <tt class="py-line"><tt class="py-docstring">        :return: new registration element</tt> </tt>
<a name="L242"></a><tt class="py-lineno">242</tt>  <tt class="py-line"><tt class="py-docstring">        :returntype: `Register`"""</tt> </tt>
<a name="L243"></a><tt class="py-lineno">243</tt>  <tt class="py-line"> </tt>
<a name="L244"></a><tt class="py-lineno">244</tt>  <tt class="py-line">        <tt class="py-name">result</tt> <tt class="py-op">=</tt> <tt id="link-99" class="py-name" targets="Class pyxmpp.jabber.register.Register=pyxmpp.jabber.register.Register-class.html"><a title="pyxmpp.jabber.register.Register" class="py-name" href="#" onclick="return doclink('link-99', 'Register', 'link-99');">Register</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L245"></a><tt class="py-lineno">245</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">form</tt><tt class="py-op">:</tt> </tt>
<a name="L246"></a><tt class="py-lineno">246</tt>  <tt class="py-line">            <tt class="py-name">result</tt><tt class="py-op">.</tt><tt class="py-name">form</tt> <tt class="py-op">=</tt> <tt class="py-name">form</tt><tt class="py-op">.</tt><tt id="link-100" class="py-name" targets="Method pyxmpp.jabber.dataforms.Form.make_submit()=pyxmpp.jabber.dataforms.Form-class.html#make_submit"><a title="pyxmpp.jabber.dataforms.Form.make_submit" class="py-name" href="#" onclick="return doclink('link-100', 'make_submit', 'link-100');">make_submit</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L247"></a><tt class="py-lineno">247</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> <tt class="py-name">result</tt> </tt>
<a name="L248"></a><tt class="py-lineno">248</tt>  <tt class="py-line"> </tt>
<a name="L249"></a><tt class="py-lineno">249</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-string">"FORM_TYPE"</tt> <tt class="py-keyword">not</tt> <tt class="py-keyword">in</tt> <tt class="py-name">form</tt> <tt class="py-keyword">or</tt> <tt class="py-string">"jabber:iq:register"</tt> <tt class="py-keyword">not</tt> <tt class="py-keyword">in</tt> <tt class="py-name">form</tt><tt class="py-op">[</tt><tt class="py-string">"FORM_TYPE"</tt><tt class="py-op">]</tt><tt class="py-op">.</tt><tt id="link-101" class="py-name" targets="Variable pyxmpp.jabber.dataforms.Option.values=pyxmpp.jabber.dataforms.Option-class.html#values"><a title="pyxmpp.jabber.dataforms.Option.values" class="py-name" href="#" onclick="return doclink('link-101', 'values', 'link-101');">values</a></tt><tt class="py-op">:</tt> </tt>
<a name="L250"></a><tt class="py-lineno">250</tt>  <tt class="py-line">            <tt class="py-keyword">raise</tt> <tt class="py-name">ValueError</tt><tt class="py-op">,</tt> <tt class="py-string">"FORM_TYPE is not jabber:iq:register"</tt> </tt>
<a name="L251"></a><tt class="py-lineno">251</tt>  <tt class="py-line"> </tt>
<a name="L252"></a><tt class="py-lineno">252</tt>  <tt class="py-line">        <tt class="py-keyword">for</tt> <tt class="py-name">field</tt> <tt class="py-keyword">in</tt> <tt id="link-102" class="py-name"><a title="pyxmpp.jabber.register.legacy_fields" class="py-name" href="#" onclick="return doclink('link-102', 'legacy_fields', 'link-19');">legacy_fields</a></tt><tt class="py-op">:</tt> </tt>
<a name="L253"></a><tt class="py-lineno">253</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">__logger</tt><tt class="py-op">.</tt><tt class="py-name">debug</tt><tt class="py-op">(</tt><tt class="py-string">u"submitted field %r"</tt> <tt class="py-op">%</tt> <tt class="py-op">(</tt><tt class="py-name">field</tt><tt class="py-op">,</tt> <tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L254"></a><tt class="py-lineno">254</tt>  <tt class="py-line">            <tt id="link-103" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-103', 'value', 'link-58');">value</a></tt> <tt class="py-op">=</tt> <tt class="py-name">getattr</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt class="py-name">field</tt><tt class="py-op">)</tt> </tt>
<a name="L255"></a><tt class="py-lineno">255</tt>  <tt class="py-line">            <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L256"></a><tt class="py-lineno">256</tt>  <tt class="py-line">                <tt class="py-name">form_value</tt> <tt class="py-op">=</tt> <tt class="py-name">form</tt><tt class="py-op">[</tt><tt class="py-name">field</tt><tt class="py-op">]</tt><tt class="py-op">.</tt><tt id="link-104" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-104', 'value', 'link-58');">value</a></tt> </tt>
<a name="L257"></a><tt class="py-lineno">257</tt>  <tt class="py-line">            <tt class="py-keyword">except</tt> <tt class="py-name">KeyError</tt><tt class="py-op">:</tt> </tt>
<a name="L258"></a><tt class="py-lineno">258</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt id="link-105" class="py-name"><a title="pyxmpp.cache.CacheItem.value" class="py-name" href="#" onclick="return doclink('link-105', 'value', 'link-58');">value</a></tt><tt class="py-op">:</tt> </tt>
<a name="L259"></a><tt class="py-lineno">259</tt>  <tt class="py-line">                    <tt class="py-keyword">raise</tt> <tt class="py-name">ValueError</tt><tt class="py-op">,</tt> <tt class="py-string">"Required field with no value!"</tt> </tt>
<a name="L260"></a><tt class="py-lineno">260</tt>  <tt class="py-line">                <tt class="py-keyword">continue</tt> </tt>
<a name="L261"></a><tt class="py-lineno">261</tt>  <tt class="py-line">            <tt class="py-name">setattr</tt><tt class="py-op">(</tt><tt class="py-name">result</tt><tt class="py-op">,</tt> <tt class="py-name">field</tt><tt class="py-op">,</tt> <tt class="py-name">form_value</tt><tt class="py-op">)</tt> </tt>
<a name="L262"></a><tt class="py-lineno">262</tt>  <tt class="py-line"> </tt>
<a name="L263"></a><tt class="py-lineno">263</tt>  <tt class="py-line">        <tt class="py-keyword">return</tt> <tt class="py-name">result</tt> </tt>
</div></div><a name="L264"></a><tt class="py-lineno">264</tt>  <tt class="py-line"> </tt>
<a name="L265"></a><tt class="py-lineno">265</tt>  <tt class="py-line"> </tt>
<a name="L266"></a><tt class="py-lineno">266</tt>  <tt class="py-line"><tt class="py-comment"># vi: sts=4 et sw=4</tt> </tt>
<a name="L267"></a><tt class="py-lineno">267</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:09 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
